import { HyperWorker } from './worker';
import type { MailerSettings } from './types';
declare class MailDelivery {
    private MailerType;
    private details;
    constructor(MailerType: typeof Mailer, details: any);
    deliver(): Promise<any>;
    deliverLater(): Promise<any>;
}
declare class Mailer extends HyperWorker {
    static transport: any | null;
    static send: boolean;
    static preview: boolean;
    static templatesRoot: string | null;
    static clearDeliveries(): void;
    static deliveries(): any;
    static lastMail(): any;
    static clear(): void;
    static defaults: {
        from: string;
    };
    static initMailer({ templatesRoot, settings, }: {
        templatesRoot: string;
        settings: MailerSettings;
    }): void;
    static setNone(): void;
    static setTest(): void;
    static setDevelopment(): void;
    static setProduction(): void;
    perform({ data }: any): Promise<any>;
    static mail(details: any, _opts?: any): MailDelivery;
    get logger(): import("@hyperstackjs/typings").Logger | null;
}
export { Mailer, MailDelivery };
//# sourceMappingURL=mailer.d.ts.map